#
# spec file for package fsc-igb (Version 1.0.1)
#
# Copyright (c) 2007 Novell, Inc.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fsc-igb
%define driver_version 1.0.1
%define kver %(rpm -q --qf '%{VERSION}-%{RELEASE}' kernel-source)
%define arch %_target_cpu
%define install_mod_dir updates 
%define sles_string SLES_10
%define kver_orig 2.6.16.21-0.8
Group:          System/Kernel
Version:        1.0.1
Release:        1
License:        GPL
Summary:        igb driver 1.0.1 for PRIMERGY servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms
Source0:        igb-1.0.1.tar.gz
Source1:        preamble
Patch0:         fsc-igb-1.0.1-build.diff
Patch1:         fsc-igb-1.0.1-version.diff
Patch2:         fsc-igb-fsc_buildinfo.diff
%suse_kernel_module_package -p preamble um debug

%description
This package provides the igb driver for PRIMERGY servers
released by Fujitsu Siemens Computers.

%package KMP
Summary:        igb driver for PRIMERGY servers
Group:          System/Kernel

%description KMP
This package provides the igb driver for PRIMERGY servers
released by Fujitsu Siemens Computers.

%prep
%setup -n igb-1.0.1/src
%patch0 -p2
%patch1 -p2
%patch2 -p1
rm -f Module.supported
for x in igb; do 
    echo "$x external" >>Module.supported
done
set -- *
mkdir {source,obj}
mv "$@" source/
mv source/igb_main.c _buildinfo
if [ %{kver} = %{kver_orig} ]; then _kstat=Original; else _kstat=Update; fi
sed '
s|^"FSC Release: .*\\n"$|"FSC Release: 0\\n"|
s|^"FSC Build Date: .*\\n"$|"FSC Build Date: '$(date +%Y/%m/%d-%H:%M)'\\n"|
s|^"FSC Kernel Release: .*\\n"$|"FSC Kernel Release: '$_kstat' SuSE '%{sles_string}' ('%{kver}')\\n"|
' <_buildinfo >source/igb_main.c
rm -f _buildinfo

%build
export EXTRA_CFLAGS='-DVERSION=\"%driver_version\"'
export FSC_DIST=sles10
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%arch/$flavor modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{install_mod_dir}
for flavor in %flavors_to_build; do
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kver}-$flavor
    make -C /usr/src/linux-obj/%arch/$flavor modules_install M=$PWD/obj/$flavor
done
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pci.ids.d
install -m 644 ../pci.updates $RPM_BUILD_ROOT%{_datadir}/pci.ids.d/~%{name}-%{version}

%post
if [ -x /usr/bin/merge-pciids ]; then LC_ALL=C /usr/bin/merge-pciids 2>/dev/null; fi

%postun
if [ -x /usr/bin/merge-pciids ]; then LC_ALL=C /usr/bin/merge-pciids 2>/dev/null; fi

%files
%defattr (-,root,root)
%doc ../{README,COPYING,ldistrib.txt,igb.7}
/%{_datadir}/pci.ids.d
%changelog
* Mon Nov 26 2007 - poswald@novell.com
-Initial build of the igb for FSC
